Subject: Re: linux-next: manual merge of the tip tree with the crypto tree

From: Herbert Xu <[email-masked]>
Date: Sat, 20 Sep 2025 09:17:20 +0800

On Fri, Sep 19, 2025 at 10:43:55PM +0200, Borislav Petkov wrote:
>
> Pff, in hindsight those should probably all go through the crypto tree so that
> there's no unnecessary conflicts.
> 
> Herbert, lemme know if I should undo them here and you take all three:
> 
> 648dbccc03a0 crypto: ccp - Add AMD Seamless Firmware Servicing (SFS) driver
> e09701dcdd9c crypto: ccp - Add new HV-Fixed page allocation/free API
> e4c00c4ce2aa x86/sev: Add new dump_rmp parameter to snp_leak_pages() API

I think either way we will end up with conflicts.  If I merge
them then we will get conflicts in x86/sev.  If you merge them
then we get the conflicts in drivers/crypto.

As the conflicts seem to be straightforward, how about we just
keep things as it is and mention it to Linus when the merge window
opens?

Cheers,
-- 
Email: Herbert Xu <[email-masked]>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt